Subject: Re: UGC: Course syllabi templates
From: "Norman Pestaina" <[email-masked]>
To: "Prabakar" <[email-masked]>
Cc: "Norman Pestaina" <[email-masked]>
Date: Wed, 22 Oct 2008 14:23:32 -0400 (EDT)

Prabu,

I made the following changes:

1) The course type should be recorded as
   Required for CS Major or
   Required for IT Major or
   Required for CS Minor or
   Elective for CS Major or
   Elective for IT Major

2) In both CS & IT templates, I put the "Oral & Written Communication"
section in tabular form

3) I included a table "Approximate number of credit hours devoted to
fundamental IT topics" into the IT template.

4) This table and the corresponding one in the CS template should be
completed in multiples of 0.5 credits, not lecture/class hours.

5) I changed the column header to "Fundamental CS/IT Area" instead of "Topic"

6) In the IT template, I did not incorporate a template cross-listing the
ACM Knowledge Units within the IT Body of Knowledge. There is such a table
at the end of the CS template. I'm not sure whether it is appropriate at
this time. Take a look and tell me what you think:
http://www.acm.org/education/curricula-recommendations

> Norman,
>
> Please modify the attached two template files (for CS and IT courses)
> so that we can use your final version for all CS/IT course syllabi.
>
> Thanks
> --Prabu
>